[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: [Subclipse-dev] svnClientAdapter failed to build?

From: Shawn Jin <shawnemails_at_gmail.com>
Date: Fri, 17 Sep 2010 16:25:06 +0100

Mark,

Thanks for the prompt reply. However I am seeing other issues building
r4658... Do you have a patch for that?
compile:
[mkdir] Created dir:
/scratch/xujin/workspace_galilio/svnClientAdapter_latest/build/classes/main
[javac] Compiling 48 source files to
/scratch/xujin/workspace_galilio/svnClientAdapter_latest/build/classes/main
[javac] Note: Some input files use unchecked or unsafe operations.
[javac] Note: Recompile with -Xlint:unchecked for details.
[javac] Compiling 23 source files to
/scratch/xujin/workspace_galilio/svnClientAdapter_latest/build/classes/main
[javac]
/scratch/xujin/workspace_galilio/svnClientAdapter_latest/src/javahl/org/tigris/subversion/svnclientadapter/javahl/JhlClientAdapter.java:95:
warning: non-varargs call of varargs method with inexact argument type for
last parameter;
[javac] cast to java.lang.Object for a varargs call
[javac] cast to java.lang.Object[] for a non-varargs call and to suppress
this warning
[javac] new String[] { fsType, target }));
[javac] ^
[javac] Note:
/scratch/xujin/workspace_galilio/svnClientAdapter_latest/src/javahl/org/tigris/subversion/svnclientadapter/javahl/AbstractJhlClientAdapter.java
uses or overrides a deprecated API.
[javac] Note: Recompile with -Xlint:deprecation for details.
[javac] Note: Some input files use unchecked or unsafe operations.
[javac] Note: Recompile with -Xlint:unchecked for details.
[javac] 1 warning
[javac] Compiling 3 source files to
/scratch/xujin/workspace_galilio/svnClientAdapter_latest/build/classes/main
[javac] Compiling 27 source files to
/scratch/xujin/workspace_galilio/svnClientAdapter_latest/build/classes/main
[javac]
/scratch/xujin/workspace_galilio/svnClientAdapter_latest/src/commandline/org/tigris/subversion/svnclientadapter/commandline/CmdLineClientAdapter.java:69:
org.tigris.subversion.svnclientadapter.commandline.CmdLineClientAdapter is
not abstract and does not override abstract method
diffSummarize(java.io.File,org.tigris.subversion.svnclientadapter.SVNUrl,org.tigris.subversion.svnclientadapter.SVNRevision,boolean)
in org.tigris.subversion.svnclientadapter.ISVNClientAdapter
[javac] public class CmdLineClientAdapter extends AbstractClientAdapter {
[javac] ^
[javac] Note:
/scratch/xujin/workspace_galilio/svnClientAdapter_latest/src/commandline/org/tigris/subversion/svnclientadapter/commandline/SvnCommandLine.java
uses or overrides a deprecated API.
[javac] Note: Recompile with -Xlint:deprecation for details.
[javac] Note: Some input files use unchecked or unsafe operations.
[javac] Note: Recompile with -Xlint:unchecked for details.
[javac] 1 error

BUILD FAILED
/scratch/xujin/workspace_galilio/svnClientAdapter_latest/build.xml:71:
Compile failed; see the compiler error output for details.

Shawn

On 17 September 2010 16:18, Mark Phippard <markphip_at_gmail.com> wrote:

> This looks like a rookie mistake on my part. Sorry. I made a branch
> of svnClientAdapter to work on SVN 1.7 support but I did not update
> the usage of svn:externals in that branch so I have been committing my
> changes to trunk.
>
> Please just run:
>
> $ svn up -r4658
>
> This will put your working copy back where trunk is supposed to be. I
> will work on merging my changes over to the branch they belong and
> getting trunk back to where it was at 4658.
>
> Mark
>
>
>
>
> On Fri, Sep 17, 2010 at 11:09 AM, Shawn Jin <shawnemails_at_gmail.com> wrote:
> > Hello,
> >
> > I checked
> http://subclipse.tigris.org/svn/subclipse/trunk/svnClientAdapter
> > Revision 4703 in Eclipse and tried to build the project, it firstly gave
> me
> > error like:
> > [javac]
> >
> /workspace_galilio/svnClientAdapter_latest/src/javahl/org/tigris/subversion/svnclientadapter/javahl/AbstractJhlClientAdapter.java:323:
> > generics are not supported in -source 1.4
> > [javac] (use -source 5 or higher to enable generics)
> > I then changed targetJvm=1.4 to targetJvm=1.6 in build.properties to
> allow
> > the generics but then the following error message appears:
> > [javac]
> >
> /scratch/xujin/workspace_galilio/svnClientAdapter_latest/src/javahl/org/tigris/subversion/svnclientadapter/javahl/AbstractJhlClientAdapter.java:37:
> > package org.apache.subversion.javahl does not exist
> > [javac] import org.apache.subversion.javahl.ClientException;
> > It looks the org.apache.subversion.javahl package is missing. Could you
> > advise where I can find the library and what to do to get a successful
> build
> > of svnClientAdapter?
> >
> > Thank you
> > Shawn
> >
> >
>
>
>
> --
> Thanks
>
> Mark Phippard
> http://markphip.blogspot.com/
>
> ------------------------------------------------------
>
> http://subclipse.tigris.org/ds/viewMessage.do?dsForumId=1043&dsMessageId=2661310
>
> To unsubscribe from this discussion, e-mail: [
> dev-unsubscribe_at_subclipse.tigris.org].

------------------------------------------------------
http://subclipse.tigris.org/ds/viewMessage.do?dsForumId=1043&dsMessageId=2661313

To unsubscribe from this discussion, e-mail: [dev-unsubscribe_at_subclipse.tigris.org].
Received on 2010-09-17 17:25:13 CEST

This is an archived mail posted to the Subclipse Dev mailing list.